Bug 224343 - [NEW PORT] net-mgmt/py-junos-eznc: Junos easy automation for non-programmers
Summary: [NEW PORT] net-mgmt/py-junos-eznc: Junos easy automation for non-programmers
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on: 224342 224423
Blocks: 227098
  Show dependency treegraph
 
Reported: 2017-12-14 17:12 UTC by Sergey Akhmatov
Modified: 2018-04-05 04:14 UTC (History)
1 user (show)

See Also:
sergey: maintainer-feedback+


Attachments
net-mgmt/junos-eznc (2.56 KB, patch)
2017-12-14 17:12 UTC, Sergey Akhmatov
no flags Details | Diff
poudriere log py27 (62.96 KB, text/x-log)
2017-12-14 17:13 UTC, Sergey Akhmatov
no flags Details
poudriere log py36 (63.99 KB, text/x-log)
2017-12-14 17:14 UTC, Sergey Akhmatov
no flags Details
py-junos-eznc (2.56 KB, patch)
2017-12-18 11:39 UTC, Sergey Akhmatov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sergey Akhmatov 2017-12-14 17:12:03 UTC
Created attachment 188832 [details]
net-mgmt/junos-eznc

Junos PyEZ is a Python library to remotely manage/automate Junos
devices.

Junos PyEZ is designed to provide the same capabilities as a user
would have on the Junos CLI, but in an environment built for
automation tasks.

WWW: https://github.com/Juniper/py-junos-eznc

QA:
  portlint -ACN: OK
  poudriere testport: OK with @py27 and @py36 FLAVORS

Depends on PR224342
Comment 1 Sergey Akhmatov 2017-12-14 17:13:48 UTC
Created attachment 188833 [details]
poudriere log py27
Comment 2 Sergey Akhmatov 2017-12-14 17:14:15 UTC
Created attachment 188834 [details]
poudriere log py36
Comment 3 Sergey Akhmatov 2017-12-18 11:39:33 UTC
Created attachment 188927 [details]
py-junos-eznc

Fixed dependency. Sorry.
Comment 4 Yuri Victorovich freebsd_committer 2018-04-05 04:14:41 UTC
Committedm, thanks!
Comment 5 commit-hook freebsd_committer 2018-04-05 04:14:48 UTC
A commit references this bug:

Author: yuri
Date: Thu Apr  5 04:14:36 UTC 2018
New revision: 466528
URL: https://svnweb.freebsd.org/changeset/ports/466528

Log:
  New port: net-mgmt/py-junos-eznc: Junos easy automation for non-programmers

  PR:		224343
  Submitted by:	Sergey Akhmatov <sergey@akhmatov.ru>

Changes:
  head/net-mgmt/Makefile
  head/net-mgmt/py-junos-eznc/
  head/net-mgmt/py-junos-eznc/Makefile
  head/net-mgmt/py-junos-eznc/distinfo
  head/net-mgmt/py-junos-eznc/pkg-descr